Difference between revisions of "Draft Array/it"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Esempio:")
Line 14: Line 14:
 
{{Caption|Una schiera ortogonale e una schiera polare da un oggetto solido}}
 
{{Caption|Una schiera ortogonale e una schiera polare da un oggetto solido}}
  
<div class="mw-translate-fuzzy">
+
==Utilizzo==
== Utilizzo ==
+
# Selezionare un oggetto con cui si desidera creare una schiera.
# Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
+
# Premere il pulsante {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/it|Schiera su percorso]]}}. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
# Premere il pulsante {{KEY/it|[[Image:Draft Array.png|16px]] Matrice}}
+
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.
# Selezionare {{PropertyData|Array Type}}: Specifica il tipo di matrice: ortogonale o polare
 
# Per le matrici ortogonali:
 
## {{PropertyData|Interval X}}: L'intervallo tra ciascuna copia sul primo asse
 
## {{PropertyData|Interval Y}}: L'intervallo tra ciascuna copia sul secondo asse
 
## {{PropertyData|Interval Z}}: L'intervallo tra ciascuna copia sul terzo asse
 
## {{PropertyData|Number X}}: Il numero di copie sul primo asse
 
## {{PropertyData|Number Y}}: Il numero di copie sul secondo asse
 
## {{PropertyData|Number Z}}: Il numero di copie sul terzo asse
 
# Per matrici polari:
 
## {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
 
## {{ProprietaDati|Center}}: Il punto centro della matrice
 
## {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
 
## {{ProprietaDati|Number Polar}}: Il numero di copie
 
</div>
 
  
 
Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
 
Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Revision as of 21:31, 18 April 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Schiera su tracciato Draft PathArray.svg Arrow-right.svg

Draft Array.svg Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Schiera su tracciato, Schiera su punti, Clone


Descrizione

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per posizionare le copie lungo un percorso utilizzare Schiera su percorso; per posizionare le copie in punti specificati usare Schiera su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Draft Array example.jpg

Una schiera ortogonale e una schiera polare da un oggetto solido


Utilizzo

  1. Selezionare un oggetto con cui si desidera creare una schiera.
  2. Premere il pulsante Draft Array.svg Schiera su percorso. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
  3. L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • DataBase: specifies the object to duplicate in the array.
  • DataArray Type: specifies the type of array to create, either "ortho" or "polar".
  • DataFuse: if it is True, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DataInterval X: specifies the interval between each copy on the X axis.
  • DataInterval Y: specifies the interval between each copy on the Y axis.
  • DataInterval Z: specifies the interval between each copy on the Z axis.
  • DataNumber X: specifies the number of copies on the X axis.
  • DataNumber Y: specifies the number of copies on the Y axis.
  • DataNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DataAxis: specifies the normal direction of the array circle.
  • DataCenter: specifies the center point of the array circle.
  • DataAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DataNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DataInterval Axis: specifies the interval between each copy on the DataAxis direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DataInterval X is (2 m, 1 m, 1 m), and DataNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DataInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DataInterval Axis (0, 0, z) allows you to make spiral arrangements.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Schiera semplice

Per le matrici rettangolari:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Per matrici polari:

array_list = array(objectslist, center, totalangle, totalnum)
  • Crea una schiera di oggetti contenuti nella lista (che può essere di un oggetto o di un elenco di oggetti) con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x, alla distanza xvector tra le iterazioni, e lo stesso per la direzione y, con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. Nel caso di una serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
  • Questa funzione produce copie indipendenti dell'oggetto(i) di base.

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Schiera parametrica

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Per le schiere rettangolari:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Per le schiere polari:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crea una schiera dall'oggetto dato con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e lo stesso per la direzione y con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. In caso di serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
  • Il risultato di questa funzione è un oggetto Draft Array parametrico.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Schiera su tracciato Draft PathArray.svg Arrow-right.svg